> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a database



## OpenAPI

````yaml /openapi.json post /api/databases/
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/databases/:
    post:
      tags:
        - Databases
      summary: Create a database
      operationId: postApiDatabases
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - engine
              properties:
                name:
                  minLength: 1
                  type: string
                engine:
                  type: string
                  enum:
                    - postgresql
                    - mysql
                    - mongodb
                    - redis
                version:
                  type: string
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                storageGB:
                  anyOf:
                    - type: number
                    - type: string
                username:
                  type: string
                password:
                  minLength: 8
                  type: string
                databaseName:
                  type: string
                machineId:
                  nullable: true
                  type: string
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - name
                - engine
              properties:
                name:
                  minLength: 1
                  type: string
                engine:
                  type: string
                  enum:
                    - postgresql
                    - mysql
                    - mongodb
                    - redis
                version:
                  type: string
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                storageGB:
                  anyOf:
                    - type: number
                    - type: string
                username:
                  type: string
                password:
                  minLength: 8
                  type: string
                databaseName:
                  type: string
                machineId:
                  nullable: true
                  type: string
          multipart/form-data:
            schema:
              type: object
              required:
                - name
                - engine
              properties:
                name:
                  minLength: 1
                  type: string
                engine:
                  type: string
                  enum:
                    - postgresql
                    - mysql
                    - mongodb
                    - redis
                version:
                  type: string
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                storageGB:
                  anyOf:
                    - type: number
                    - type: string
                username:
                  type: string
                password:
                  minLength: 8
                  type: string
                databaseName:
                  type: string
                machineId:
                  nullable: true
                  type: string
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````